Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-12454

Plugin 'flake8' could not be loaded: (pyflakes 1.6.0)

    Details

    • Type: Story
    • Status: Done
    • Resolution: Done
    • Fix Version/s: None
    • Component/s: None

      Description

      Building packages against the new shared stacks doesn't "just work" because of a pytest error

      See logs in:

      /home/yusra/lsst_devel/LSST/DMS/pipe_tasks_ssd3/tests/.tests/pytest-pipe_tasks.xml.failed
      /home/yusra/lsst_devel/LSST/DMS/pipe_tasks_ssd2/tests/.tests/pytest-pipe_tasks.xml.failed

      [yusra@lsst-dev01 ~]$ source  /ssd/lsstsw/stack3/loadLSST.bash 
      Note: use devtoolset-6 in conjunction with this stack.
      [yusra@lsst-dev01 ~]$ scl enable devtoolset-6 bash
      [yusra@lsst-dev01 ~]$  source  /ssd/lsstsw/stack3/loadLSST.bash 
      Note: use devtoolset-6 in conjunction with this stack.
      [yusra@lsst-dev01 ~]$ cd lsst_devel/LSST/DMS
      [yusra@lsst-dev01 DMS]$ git clone git@github.com:lsst/pipe_tasks pipe_tasks_ssd3
      Cloning into 'pipe_tasks_ssd3'...
      Enter passphrase for key '/home/yusra/.ssh/id_rsa': 
      remote: Counting objects: 18126, done.
      remote: Compressing objects: 100% (45/45), done.
      remote: Total 18126 (delta 16), reused 32 (delta 4), pack-reused 18071
      Receiving objects: 100% (18126/18126), 13.94 MiB | 0 bytes/s, done.
      Resolving deltas: 100% (8402/8402), done.
      [yusra@lsst-dev01 DMS]$ cd pipe_tasks_ssd3/
      [yusra@lsst-dev01 pipe_tasks_ssd3]$ setup -r .
      [yusra@lsst-dev01 pipe_tasks_ssd3]$ scons opt=3 -j 8
      [snip]
      Failed test output:
      Global pytest output is in /home/yusra/lsst_devel/LSST/DMS/pipe_tasks_ssd3/tests/.tests/pytest-pipe_tasks.xml.failed
      The following tests failed:
      /home/yusra/lsst_devel/LSST/DMS/pipe_tasks_ssd3/tests/.tests/pytest-pipe_tasks.xml.failed
      1 tests failed
      scons: *** [checkTestStatus] Error 1
      scons: building terminated because of errors.
      

      [gw7] node down: Traceback (most recent call last):
        File "/ssd/lsstsw/stack3_20171021/python/miniconda3-4.3.21/lib/python3.6/site-packages/_pytest/vendored_packages/pluggy.py", line 510, in load_setuptools_entrypoints
          plugin = ep.load()
        File "/ssd/lsstsw/stack3_20171021/python/miniconda3-4.3.21/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2340, in load
          self.require(*args, **kwargs)
        File "/ssd/lsstsw/stack3_20171021/python/miniconda3-4.3.21/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2363, in require
          items = working_set.resolve(reqs, env, installer, extras=self.extras)
        File "/ssd/lsstsw/stack3_20171021/python/miniconda3-4.3.21/lib/python3.6/site-packages/pkg_resources/__init__.py", line 872, in resolve
          raise VersionConflict(dist, req).with_context(dependent_req)
      pkg_resources.ContextualVersionConflict: (pyflakes 1.6.0 (/ssd/lsstsw/stack3_20171021/python/miniconda3-4.3.21/lib/python3.6/site-packages), Requirement.parse('pyflakes<1.6.0,>=1.5.0'), {'flake8'})
       
      During handling of the above exception, another exception occurred:
       
      Traceback (most recent call last):
        File "/ssd/lsstsw/stack3_20171021/stack/miniconda3-4.3.21-10a4fa6/Linux64/python_execnet/1.4.1/lib/python/execnet-1.4.1-py3.6.egg/execnet/gateway_base.py", line 1072, in executetask
          do_exec(co, loc)  # noqa
        File "<string>", line 1, in do_exec
        File "<remote exec>", line 195, in <module>
        File "<remote exec>", line 169, in remote_initconfig
        File "/ssd/lsstsw/stack3_20171021/python/miniconda3-4.3.21/lib/python3.6/site-packages/_pytest/config.py", line 988, in fromdictargs
          config.parse(args, addopts=False)
        File "/ssd/lsstsw/stack3_20171021/python/miniconda3-4.3.21/lib/python3.6/site-packages/_pytest/config.py", line 1121, in parse
          self._preparse(args, addopts=addopts)
        File "/ssd/lsstsw/stack3_20171021/python/miniconda3-4.3.21/lib/python3.6/site-packages/_pytest/config.py", line 1084, in _preparse
          self.pluginmanager.load_setuptools_entrypoints('pytest11')
        File "/ssd/lsstsw/stack3_20171021/python/miniconda3-4.3.21/lib/python3.6/site-packages/_pytest/vendored_packages/pluggy.py", line 515, in load_setuptools_entrypoints
          "Plugin %r could not be loaded: %s!" % (ep.name, e))
      _pytest.vendored_packages.pluggy.PluginValidationError: Plugin 'flake8' could not be loaded: (pyflakes 1.6.0 (/ssd/lsstsw/stack3_20171021/python/miniconda3-4.3.21/lib/python3.6/site-packages), Requirement.parse('pyflakes<1.6.0,>=1.5.0'), {'flake8'})!
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                swinbank John Swinbank
                Reporter:
                yusra Yusra AlSayyad
                Reviewers:
                Tim Jenness
                Watchers:
                John Swinbank, Lauren MacArthur, Sophie Reed, Tim Jenness, Yusra AlSayyad
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Summary Panel